package com.xzzn.ems.domain.vo;

/**
 * 策略运行对象
 *
 * @author xzzn
 * @date 2025-07-10
 */
public class StrategyRunningVo
{
    /** 策略状态：0-未启用 1-已运行 2-已暂停 3-禁用 4-删除 */
    private String status;

    /** 主策略名称 */
    private String mainStrategyName;

    /** 辅助策略名称 */
    private String auxStrategyName;

    /** 站点id */
    private String siteId;

    /** 设备唯一标识符 */
    private String deviceId;

    /** 策略运行id */
    private Long id;

    /** 主策略id */
    private Long mainStrategyId;

    /** 辅助策略id */
    private Long auxStrategyId;

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    public String getMainStrategyName() {
        return mainStrategyName;
    }

    public void setMainStrategyName(String mainStrategyName) {
        this.mainStrategyName = mainStrategyName;
    }

    public String getAuxStrategyName() {
        return auxStrategyName;
    }

    public void setAuxStrategyName(String auxStrategyName) {
        this.auxStrategyName = auxStrategyName;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAuxStrategyId() {
        return auxStrategyId;
    }

    public void setAuxStrategyId(Long auxStrategyId) {
        this.auxStrategyId = auxStrategyId;
    }

    public Long getMainStrategyId() {
        return mainStrategyId;
    }

    public void setMainStrategyId(Long mainStrategyId) {
        this.mainStrategyId = mainStrategyId;
    }
}
